Bug 3861 - ip-up doesn't update a bunch of resolv.conf's!
: ip-up doesn't update a bunch of resolv.conf's!
Status: CLOSED FIXED
: Sisyphus
(All bugs in Sisyphus/ppp-common)
: unstable
: all Linux
: P2 major
Assigned To:
:
:
:
:
: 7079
  Show dependency tree
 
Reported: 2004-03-23 23:00 by
Modified: 2006-03-07 10:37 (History)


Attachments


Note

You need to log in before you can comment on or make changes to this bug.


Description From 2004-03-23 23:00:00
pppd should run 'update_chrooted conf' after bringing up (or maybe shutting down
too) the connetion; in ideal case -- only when we get MS-DNS IP(s).

it was discussed some time ago, and the infrastructure (/etc/ppp-ip-*.d/) is in
place; what's missing is:

-- /etc/ppp-ip-up.d/resolv
#!/bin/sh
[ -x /usr/sbin/update_chrooted ] && /usr/sbin/update_chrooted conf
---

(or something more robust, but this should help and not harm)
------- Comment #1 From 2004-05-28 13:41:26 -------
Файл в /etc/ppp/ip-up.d не поможет, так как не всегда установлен USEPEERDNS
(кажется, так). Сохраняют и восстанавливают /etc/resolv.conf net-scripts,
поэтому расскажите, когда и что должно происходить. Возможно, это перевесится
на
net-scripts.
------- Comment #2 From 2004-06-16 13:45:57 -------
это еще актуально?
------- Comment #3 From 2004-06-16 14:06:42 -------
Я ошибся, /etc/ppp/ip-up запускается в любом случае. И скрипты из ip-up.d
запускаются как раз после ifup-post, так что должно работать.
Единственное замечание: /etc/ppp/ip-up.d/update_chrooted пойдёт в net-scripts
(ip-up* принадлежат им), если действительно это нужно. Решайте.
------- Comment #4 From 2004-07-16 12:13:57 -------
это вроде fixed?
------- Comment #5 From 2004-08-05 11:09:05 -------
Саш, ты пользуешься ppp? -- проблема эта еще есть? :)
------- Comment #6 From 2005-07-13 10:46:49 -------
Женя, можешь проверить/починить?
------- Comment #7 From 2005-07-13 10:52:44 -------
На мой быстрый взгяд ни один из пакетов ppp, ppp-common, net-scripts не
содержит
такого скрипта в /etc/ppp/ip-up.d
------- Comment #8 From 2005-07-13 21:48:26 -------
Я сдаюсь...
Уже позвонил товарищу чтобы завтра подвез модем...
------- Comment #9 From 2005-07-29 14:26:18 -------
Я забираю эту ошибку.
------- Comment #10 From 2005-07-29 17:44:59 -------
ppp-common-0.3